
public class Class354 implements Interface39 {

   public int anInt4464;


   public Class373 method230() {
      return Class373.aClass373_4664;
   }

   public Class373 method229(int var1) {
      return Class373.aClass373_4664;
   }

   Class354(int var1) {
      this.anInt4464 = -95615331 * var1;
   }

   public static Class354 method6391(RS2Buffer var0) {
      int var1 = var0.readLargeSmart(1938125214);
      return new Class354(var1);
   }

   public static Class354 method6392(RS2Buffer var0) {
      int var1 = var0.readLargeSmart(2000623471);
      return new Class354(var1);
   }

   static Class375[] method6393(int var0) {
      return new Class375[]{Class375.aClass375_4677, Class375.aClass375_4674, Class375.aClass375_4683, Class375.aClass375_4678, Class375.aClass375_4686, Class375.aClass375_4684, Class375.aClass375_4688, Class375.aClass375_4681, Class375.aClass375_4675, Class375.aClass375_4685, Class375.aClass375_4676, Class375.aClass375_4679, Class375.aClass375_4682};
   }

   static final void method6394(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class188.method3311(var3, var4, var0, -1980513652);
   }

   static final void method6395(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = -1029733319 * var3.anInt1481;
   }

   static final void method6396(int var0, int[] var1, int var2) {
      if(Class485.method8143(var0, var1, -2023760792)) {
         Class124[] var3 = Class18.aClass121Array188[var0].aClass124Array1207;

         for(int var4 = 0; var4 < var3.length; ++var4) {
            Class124 var5 = var3[var4];
            if(var5 != null && var5.aClass477_1519 != null) {
               var5.aClass477_1519.method7989((byte)-38);
            }
         }

      }
   }
}
